<template>
  <input-protected-modal
    :id="id"
    title="Confirmation de l'opération"
    cancel-label="Annuler"
    ok-label="Confirmer"
    show="false"
    :text-to-check="textToCheck"
    :check-label="checkLabel"
    @okClicked="$emit('okClicked')"
  >
    <template #content>
      <p>{{ text }}</p>
      <slot name="content" />
    </template>
  </input-protected-modal>
</template>

<script>
import InputProtectedModal from "./InputProtectedModal";
export default {
  name: 'InputProtectedConfirmationModal',
  components: {InputProtectedModal},
  props : {
    id: {
      type: String,
      default: ''
    },
    text: {
      type: String,
      default: ''
    },
    textToCheck: {
      type: String,
      default: ''
    },
    checkLabel: {
      type: String,
      default: ''
    }
  }
}
</script>

<style scoped>

</style>